# Created by pyp2rpm-3.3.2
%global pypi_name liquidctl

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Control liquid coolers, starting with NZXT's Kraken X

License:        None
URL:            https://github.com/jonasmalacofilho/liquidctl
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 liquidctl – liquid cooler control*liquidctl* is an open-source and cross-
platform command-line tool to configure and query third generation Kraken X
liquid coolers from NZXT and, in the future, more devices. liquidctl list
Device 0, NZXT Kraken X (X42, X52, X62 or X72) at bus:address 2:3 liquidctl
status NZXT Kraken X (X42, X52, X62 or X72), device 0 Liquid temperature 28.8
°C Fan speed 849...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docopt)
Requires:       python3dist(pyusb)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 liquidctl – liquid cooler control*liquidctl* is an open-source and cross-
platform command-line tool to configure and query third generation Kraken X
liquid coolers from NZXT and, in the future, more devices. liquidctl list
Device 0, NZXT Kraken X (X42, X52, X62 or X72) at bus:address 2:3 liquidctl
status NZXT Kraken X (X42, X52, X62 or X72), device 0 Liquid temperature 28.8
°C Fan speed 849...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/liquidctl
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Mar 25 2019 mockbuilder - 1.0.0-1
- Initial package.